Skip to main content
GET
/
v2
/
collections
/
{collection_id}
Read Collection
curl --request GET \
  --url https://api.mem.ai/v2/collections/{collection_id} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2025-04-11T04:47:14.457Z",
  "description": "Anything related to Acme Corp; a software company that provides a suite of tools for managing customer relationships.",
  "id": "5e29c8a2-c73b-476b-9311-e2579712d4b1",
  "request_id": "api-request-036ed6c7-de00-459f-a89b-43d26aafe522",
  "title": "Acme Corp",
  "updated_at": "2025-04-11T04:47:19.702Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_id
string<uuid>
required

UUID of the collection to read. Use an ID returned by create/list/search. The caller must be able to access this collection.

Response

200 - application/json

OK

request_id
string
required

Identifier for this API request. Useful for tracing and support.

id
string<uuid>
required

UUID of the requested collection.

title
string
required

Current title of the collection.

description
string | null
required

Optional description text currently stored on the collection.

created_at
string<date-time>
required

Creation timestamp for the collection in ISO 8601 format.

updated_at
string<date-time>
required

Last modification timestamp for the collection in ISO 8601 format.